
#ifndef UTIL_ROMAN_NUMERAL_H
#define UTIL_ROMAN_NUMERAL_H

#include <string>

// ---------------------------------------------------------------------
// To convert between roman numerals and ints.
// ---------------------------------------------------------------------

namespace Util {
  struct Exc_roman_numeral {};
  enum Roman_case { UPPER_ROMAN_CASE = 0, LOWER_ROMAN_CASE };
  int roman_to_int(       char         roman );
  int roman_to_int( const char        *roman );
  int roman_to_int( const std::string &roman );
  std::string int_to_roman(
    int n,
    Roman_case rcase = UPPER_ROMAN_CASE
  );
}

#endif

